<?php

##############################################################################
# gifts.php3                                                                 #
#                                                                            #
# Copyright ViralGames SARL 2000                                             #
##############################################################################

include("config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_mailing.php3");
include($BIB."bib_tables.php3");

$BOX_HEIHT = 400;
$BOX_WIDTH = 500;

$sess = open_page($sessid, 1);
if ($sess->memberid == -1)
	 $sess->reinit("Error: invalid access to bet page");

$title = "J'achète !";
$player = getplayer($sess->memberid);
$member = getmember($sess->memberid);

$giftName = base64_decode($giftName);

if (isset($shop))
{
	$gift = db_fetch_array(main_db_query("SELECT * FROM Cadeaux WHERE Id='".$giftId."'"));
	$error = "";
	
	# vérif s'il a assez de KF
	# et verif s'il reste des kdos dispo
	if (!$gift)
		$error = "Ce cadeau n'existe pas<br><br>";
	elseif ($gift['Price'] > $player['KF'])
		$error = "Vous n'avez pas assez de KF pour obtenir ce cadeaux !<br><br>";
	elseif ($gift['Dispo'] < 1)
		$error = "Ce cadeau n'est plus disponible<br><br>";
	//else
	//{
	//	$once = db_fetch_array(main_db_query("SELECT * FROM CadeauxPlayers LEFT JOIN Cadeaux ON Cadeaux.Id=CadeauxPlayers.CadeauId WHERE Name='".$gift['Name']."' AND PlayerId='".$player['Id']."'"));
	//	if ($once)
	//		$error = "Vous avez déjà obtenu ce type cadeau une fois, vous ne pouvez le choisir à nouveau<br><br>";
	//}			
	if ($error=="")
	{
		$date = date("Y-m-d H:i:s", my_local_time());
		
		# on débite le compte du joueur
		main_db_query("UPDATE Players SET KF = KF - ".$gift['Price']." WHERE Id='".$player['Id']."'");
		
		# on débite du stock
		main_db_query("UPDATE Cadeaux SET Dispo = Dispo - 1 WHERE Id='".$gift['Id']."'");
		
		# on enregistre l'achat du kdo
		main_db_query("INSERT CadeauxPlayers (CadeauId, PlayerId, Date) VALUES ('".$gift['Id']."','".$player['Id']."','".$date."')");
		
		# on indique que le joueur est un gagnant dans la table des winners
		main_db_query("INSERT Winners (PlayerId, Gift, Date, Score, Session, Ordre) VALUES ('".$player['Id']."','".addslashes($gift['Name'].(($gift['Details2'] == "") ? "" : " (".$gift['Details2'].")"))."','".$date."', '0', '".substr(date_mysql($date), 3)."', '0')");
		
		$newMsgWebMaster = "Joueur : ".$player['NickName']."\n PlayerId : ".$player['Id']." \n Kdo : ".$gift['Name']."\n KdoId : ".$gift['Id'];
		# on envoie un mail pour prévenir le webmaster
		generic_mail( $CUSTOMER_SERVICE, $player['NickName']." achete : ".$gift['Name'], $newMsgWebMaster,
			"From: $FROM_FIELD\n" . 
			"Reply-To: $REPLY_TO_FIELD\n" . 
			"X-Mailer: PHP/" . phpversion()."\n".
			"MIME-Version: 1.0\n".
			"Content-Type: text/html; charset=iso-8859-1"."\n"
		);

		//$newMsgClient = "Bonjour ".$player['NickName']."!\n\nVous avez choisi comme cadeaux: ".$gift['Name']."\nNous confirmons votre commande.\nVous le recevrez dans les plus brefs délais!!\n\n     L'équipe de Kestufoot.";
		
		$newMsgClient = "Félicitations !\n\n\n";
		$newMsgClient .= "Votre commande dans la boutique cadeaux KestuFoot a bien été prise en compte:\n";
		$newMsgClient .= $gift['Name']."\n\nVotre compte a été débité de ".$gift['Price']." KF.\n\n\n";
		$newMsgClient .= "Les lots sont acheminés par la Poste ou par transporteur en fin de concours. Pour connaître la date limite d’expédition de votre lot, reportez-vous à l’article XII du règlement disponible sur <a href=\"http://www.kestufoot.com\" target=\"_blank\">www.kestufoot.com</a>\n\n";
		$newMsgClient .= "Si vous n’avez pas reçu votre lot à cette date, n’hésitez pas à nous contacter par le biais de la rubrique « Webmaster » sur <a href=\"http://www.kestufoot.com\" target=\"_blank\">www.kestufoot.com</a>\n\n\n";
		$newMsgClient .= "Encore bravo et à bientôt sur KestuFoot !\n\nL’équipe KestuFoot\n";
		$newMsgClient .= "<a href=\"http://www.kestufoot.com\" target=\"_blank\">www.kestufoot.com</a>\nLe jeu qui rend foot";



		# on envoie un mail pour prévenir le client (confirmation d'acht)
		generic_mail( $member['Email'], " Cadeaux Kestufoot ", $newMsgClient,
			"From: $FROM_FIELD\n" . 
			"Reply-To: $REPLY_TO_FIELD\n" . 
			"X-Mailer: PHP/" . phpversion()."\n".
			"MIME-Version: 1.0\n".
			"Content-Type: text/html; charset=iso-8859-1"."\n"
		);
		$done = "OK";
		include("header_popup.inc");
		include("les_cadeaux_acheter.inc");
		include("footer_popup.inc");
		close_page($sess);
		exit;
	}	
}
else
{
	$date = date("Y-m-d H:i:s", my_local_time());
	# récup du kdo par nom
	$gift = db_fetch_array(main_db_query("SELECT COUNT(Dispo) AS total, SUM(Dispo) AS AllDispo, MAX(Id) AS Id, Name, Ordre, Details, Image, Price, EndTime FROM Cadeaux WHERE Name='".addslashes($giftName)."' AND ShowTime<'".$date."' AND EndTime>'".$date."'  GROUP BY Name"));
}
$title = "J'achète !";
include("header_popup.inc");

$form_action = $sess->action($SHOP_PAGE);
$form_name = "shop";

include("form_header.inc");
include("acheter-le-cadeau.inc");
include("form_footer.inc");
include("footer_popup.inc");

close_page($sess);
?> 
